Benefits & tax profiles

Get Employee Tax Profile

Returns a legacy employee's current tax profile after verifying the employee belongs to the caller's linked org.

GEThttps://api.toku.com/hris/get-employee-tax-profile

Required scope: payroll:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-employee-tax-profile?employeeID=%3CemployeeID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "taxProfile": {
    "employeeID": 0,
    "taxProfileID": 0,
    "taxCalculatorVersionID": 0,
    "taxCalculatorRegionFilterTargetCellID": 0,
    "countryName": "string",
    "countryTwoLetterName": "string",
    "countryThreeLetterName": "string",
    "components": [
      {
        "targetCellID": 0,
        "value": "string",
        "label": "string",
        "regionFilterKeyWord": "string"
      }
    ]
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

employeeIDintegerrequired

Allowed: at least 1

Response

200Successful response
taxProfileobject | nullrequired
Show child attributes
employeeIDintegerrequired
taxProfileIDintegerrequired
taxCalculatorVersionIDintegerrequired
taxCalculatorRegionFilterTargetCellIDinteger
countryNamestringrequired
countryTwoLetterNamestringrequired
countryThreeLetterNamestringrequired
componentsobject[]required
Show child attributes
targetCellIDintegerrequired
valuestringrequired
labelstringrequired
regionFilterKeyWordstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits